postinstall.log
Status: Closed

Priority: Normal

Assignee:

Category: Windows Package

Affected QGIS version:2.14.5 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23454

Description

Hallo,

nach der Installation von QGIS 2.14.6 (LTR Version) gab es folgende Fehlermeldung. Bei meiner Kollegin läuft das Programm

ordnungsgemäß…

Hinweis: bei der Installation gab es die Fehlermeldung: …“ konnte postinstall.log nicht finden/starten“

Und dann gab es noch diese Fehlermeldung...

Konnte Erweiterung 'postgis_geoprocessing' nicht laden 

ImportError: cannot import name ogrConnectionString 

Traceback (most recent call last):

  File "C:/PROGRA~1/QGIS2~1.14/apps/qgis-ltr/./python\\qgis\\utils.py", line 281, in loadPlugin

    __import__(packageName)

  File "C:/PROGRA~1/QGIS2~1.14/apps/qgis-ltr/./python\\qgis\\utils.py", line 572, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/Users/thurtienne/.qgis2/python/plugins\\postgis_geoprocessing\\__init__.py", line 28, in 

    from postgis_geoprocessing.OgrGeoprocessingProviderPlugin import \\

  File "C:/PROGRA~1/QGIS2~1.14/apps/qgis-ltr/./python\\qgis\\utils.py", line 572, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/Users/thurtienne/.qgis2/python/plugins\\postgis_geoprocessing\\OgrGeoprocessingProviderPlugin.py", line 35, in 

    from postgis_geoprocessing.OgrGeoprocessingProvider import OgrGeoprocessingProvider

  File "C:/PROGRA~1/QGIS2~1.14/apps/qgis-ltr/./python\\qgis\\utils.py", line 572, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/Users/thurtienne/.qgis2/python/plugins\\postgis_geoprocessing\\OgrGeoprocessingProvider.py", line 36, in 

    from postgis_geoprocessing.distance import distance

  File "C:/PROGRA~1/QGIS2~1.14/apps/qgis-ltr/./python\\qgis\\utils.py", line 572, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/Users/thurtienne/.qgis2/python/plugins\\postgis_geoprocessing\\distance.py", line 48, in 

    from processing.tools.vector import ogrConnectionString, ogrLayerName

ImportError: cannot import name ogrConnectionString

Python-Version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)] 

QGIS-Version: 2.14.6-Essen Essen, 8e19f72 

Python-Pfad:

•    C:/PROGRA~1/QGIS2~1.14/apps/qgis-ltr/./python

•    C:/Users/thurtienne/.qgis2/python

•    C:/Users/thurtienne/.qgis2/python/plugins

•    C:/PROGRA~1/QGIS2~1.14/apps/qgis-ltr/./python/plugins

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg
•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\

ose-1.3.3-py2.7.egg

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\tornado-4.0.1-py2.7-win-amd64.egg

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\backports.ssl_match_hostname-3.4.0.2-py2.7.egg

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\certifi-14.05.14-py2.7.egg

•    C:\\PROGRA~1\\QGIS2~1.14\\bin\\python27.zip

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\DLLs

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\plat-win

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\lib-tk

•    C:\\PROGRA~1\\QGIS2~1.14\\bin

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\PIL

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\jinja2-2.7.2-py2.7.egg

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\markupsafe-0.23-py2.7-win-amd64.egg

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\pytz-2012j-py2.7.egg

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\win32

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\win32\\lib

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\Pythonwin

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win-amd64.egg

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\xlrd-0.9.2-py2.7.egg

•    C:\\PROGRA~1\\QGIS2~1.14\\apps\\Python27\\lib\\site-packages\\xlwt-0.7.5-py2.7.egg

•    C:/Users/thurtienne/.qgis2//python

C:\\Users\\thurtienne\\.qgis2\\python\\plugins\\DigitizingTools\\tools

Mit freundlichem Gruß

Tobias Hurtienne

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-08 01:37 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

- Category set to Unknown

- Description updated

#3 - 2017-09-08 01:38 PM - Jürgen Fischer

- Description updated

#4 - 2017-09-08 01:38 PM - Jürgen Fischer

- Category changed from Unknown to Windows Package

#5 - 2018-09-24 02:49 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to not reproducable
2.14 is EOL
